Bug 1779490 - dns-node-resolver sometimes exits with status 255 on upgrade
Summary: dns-node-resolver sometimes exits with status 255 on upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.0
Assignee: Clayton Coleman
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks: 1779491
TreeView+ depends on / blocked
 
Reported: 2019-12-04 04:47 UTC by Clayton Coleman
Modified: 2020-05-04 11:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1779491 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:18:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 147 'None' closed Bug 1779490: dns-node-resolver sometimes exits with code 255 2020-09-02 17:58:58 UTC
Github openshift cluster-dns-operator pull 148 'None' closed Bug 1779490: Handle missing pids during sidecar teardown 2020-09-02 17:58:57 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:18:49 UTC

Description Clayton Coleman 2019-12-04 04:47:09 UTC
Dec 04 01:43:12.495 E ns/openshift-dns pod/dns-default-954mg node/ip-10-0-133-153.ec2.internal container=dns-node-resolver container exited with code 255 (Error): kill: usage: kill [-s sigspec | -n signum | -sigspec] pid | jobspec ... or kill -l [sigspec]\n

shows up fairly frequently in our upgrade logs.  This is caused when all the child pids exit before the trap command completes, causing kill to get no arguments.

The fix is fairly standard in similar scripts - use pipe to xargs -r kill to tolerate empty.

Comment 1 Hongan Li 2019-12-23 06:36:51 UTC
verified with 4.4.0-0.nightly-2019-12-20-210709 and issue has been fixed.

trap 'jobs -p | xargs kill || true; wait; exit 0' TERM

Comment 3 errata-xmlrpc 2020-05-04 11:18:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.